Contributing to HPE 3PAR Module for Puppet
------------------------------------------
We're glad you want to contribute to our project! This document will help answer common questions you may have during your first contribution.

### Submitting Issues
If you come across or face any issues while using our module, please let us know by creating a new issue.

### Feature Requests
If you have a need that is not met by the current implementation, please let us know by creating a new issue and tagging it as "Feature Request".

### Contribution Process
The process for code contributions is as follows:

1. We reserve the right to reject changes that do not fit the scope of this project, so for feature additions, please open an issue in the github issue tracker to discuss your ideas before doing the work.
2. Sign the Contributor License Agreement (CLA). Contact hpe_storage_cookbooks@groups.ext.hpe.com for details and the CLA.
3. Fork the repository and Commit changes to a git branch.
4. Create a Github Pull Request for your change.
5. Perform a Code Review with the project maintainers on the pull request.

### Pull Request Requirements
We strive to ensure that our project is of high quality. In order to ensure this, we require that all pull requests to our projects meet these specifications:

1. **Tests:** To ensure high quality code and protect against future regressions, we require all the code to have at least unit test coverage. We use [RSpec](http://rspec.info/) for unit testing.
2. **Green CI Tests:** We use [Travis CI](https://travis-ci.org/) CI systems to test all pull requests. We require these test runs to succeed on every pull request before being merged.

### Code Review Process
Code review takes place in Github pull requests. See [this article](https://help.github.com/articles/about-pull-requests/) if you're not familiar with Github Pull Requests.

Once you open a pull request, project maintainers will review your code and respond to your pull request with any feedback they might have.

